<?php

namespace Modules\Approval\Enums;

enum ApprovalHistoryActionEnum: string
{
    case SUBMITTED = 'submitted';
    case APPROVED = 'approved';
    case REJECTED = 'rejected';

    public static function casesAsArray(): array
    {
        return array_column(self::cases(), 'value');
    }
}
